﻿using System.Collections.Generic;

namespace com.bodurov.SortEvolver.EvolutionEngine.Extensions
{
    public class LinkedListFoldingState<TState, T>
    {
        public LinkedListFoldingState(TState state)
        {
            this.State = state;
        }

        public TState State { get; set; }
        public int Index { get; internal set; }
        public LinkedListNode<T> Node { get; set; }
        public bool Cancel { get; set; }

    }
}
