﻿using System;

namespace com.bodurov.SortEvolver.Processor
{
    public class IntArrayHolder 
    {
        private int _changeNumber;

        public IntArrayHolder(int[] array)
        {
            if (array == null || array.Length == 0) throw new AppException("Array passed to IntArrayHolder constructor cannot be null or empty");
            this.Array = array;
        }

        public int[] Array { get; private set; }

        public int ChangeNumber
        {
            get { return this._changeNumber; }
        }
    }
}
