﻿using System;

namespace com.bodurov.SortEvolver.Processor
{
    public class IntArrayPointer
    {
        public IntArrayPointer(int[] array, int index)
        {
            if (array == null || array.Length == 0) throw new AppException("Array passed to IntArrayPointer constructor cannot be null or empty");
            this.Array = array;
            this.Index = index;
        }

        public int[] Array { get; private set; }

        public int Index { get; private set; }

        public int Valus { get { return this.IsOutsidePointer ? Int32.MinValue : this.Array[this.Index]; } }

        public bool IsOutsidePointer { get { return (this.Index < 0 || this.Index >= this.Array.Length); } }
    }
}
